NativeTextHandler (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.ps

## Class NativeTextHandler

- java.lang.Object
- - org.apache.fop.render.ps.NativeTextHandler

- All Implemented Interfaces:
    org.apache.xmlgraphics.java2d.ps.PSTextHandler, org.apache.xmlgraphics.java2d.TextHandler

      public class NativeTextHandler
      extends java.lang.Object
      implements org.apache.xmlgraphics.java2d.ps.PSTextHandler

  Specialized TextHandler implementation that the PSGraphics2D class delegates to to paint text using PostScript text operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `currentFontName` the current (internal) font name
    `protected int` | `currentFontSize` the current font size in millipoints
    `protected Font` | `font` Currently valid Font
    `protected FontInfo` | `fontInfo` FontInfo containing all available fonts
    `protected Font` | `overrideFont` Overriding FontState

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeTextHandler(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g2d, FontInfo fontInfo)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawString(java.awt.Graphics2D g, java.lang.String s, float x, float y)` Draw a string to the PostScript document.
    `FontInfo` | `getFontInfo()` Return the font information associated with this object
    `void` | `setOverrideFont(Font override)` Sets the overriding font.
    `void` | `writePageSetup()`
    `void` | `writeSetup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontInfo

          protected FontInfo fontInfo

      FontInfo containing all available fonts

    - #### font

          protected Font font

      Currently valid Font

    - #### overrideFont

          protected Font overrideFont

      Overriding FontState

    - #### currentFontName

          protected java.lang.String currentFontName

      the current (internal) font name

    - #### currentFontSize

          protected int currentFontSize

      the current font size in millipoints

  - ### Constructor Detail

    - #### NativeTextHandler

          public NativeTextHandler(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g2d,
                                   FontInfo fontInfo)

      Main constructor.
      Parameters:
        `g2d` - the PSGraphics2D instance this instances is used by
        `fontInfo` - the FontInfo object with all available fonts

  - ### Method Detail

    - #### getFontInfo

          public FontInfo getFontInfo()

      Return the font information associated with this object
      Returns:
        the FontInfo object

    - #### writeSetup

          public void writeSetup()
                          throws java.io.IOException

      Specified by:
        `writeSetup` in interface `org.apache.xmlgraphics.java2d.ps.PSTextHandler`
      Throws:
        `java.io.IOException`

    - #### writePageSetup

          public void writePageSetup()
                              throws java.io.IOException

      Specified by:
        `writePageSetup` in interface `org.apache.xmlgraphics.java2d.ps.PSTextHandler`
      Throws:
        `java.io.IOException`

    - #### drawString

          public void drawString(java.awt.Graphics2D g,
                                 java.lang.String s,
                                 float x,
                                 float y)
                          throws java.io.IOException

      Draw a string to the PostScript document. The text is painted using text operations.
      Specified by:
        `drawString` in interface `org.apache.xmlgraphics.java2d.TextHandler`
      Throws:
        `java.io.IOException`

    - #### setOverrideFont

          public void setOverrideFont(Font override)

      Sets the overriding font.
      Parameters:
        `override` - Overriding Font to set

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.